Get the results of the inward consignment summary without product details report

​

Body·

application/json
  • The actual received start date in the consignment date range

  • The actual received end date in the consignment date range

  • The carrier partner to filter by

  • The client partner to filter by

  • The start date in the consignment date range

  • The end date in the consignment date range

  • If the report should include charges. Note: Requires correct charge permission.

  • Integer numbers.

    values
    DateEntered = 1ActualReceivedDate = 2NotYetReceived = 3
  • A service type to filter by

  • The warehouse to filter by

Responses

  • application/json
Request Example for post/v1/reports/inward-consignment-summary
curl https://api.consignlyhq.com/v1/reports/inward-consignment-summary \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "mode": "enum (DateEntered = 1, ActualReceivedDate = 2, NotYetReceived = 3)",
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "actualReceivedDateFrom": "date (YYYY-MM-DD)",
  "actualReceivedDateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "carrierPartnerId": null,
  "warehouseId": null,
  "serviceTypeId": null,
  "includeCharges": true
}'
[
  {
    "clientName": null,
    "warehouseName": null,
    "consignmentNumber": null,
    "status": null,
    "poNumber": null,
    "soNumber": null,
    "receiversReference": null,
    "sendersReference": null,
    "carrierName": null,
    "carrierReferenceNumber": null,
    "serviceTypeNames": [
      "string"
    ],
    "dateEntered": "date (YYYY-MM-DD)",
    "createdDate": "date (YYYY-MM-DD)",
    "expectedArrivalDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "actualReceivedDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "attention": null,
    "origin": null,
    "streetAddress": null,
    "suburb": null,
    "city": null,
    "state": null,
    "postcode": null,
    "country": null,
    "containerNumber": null,
    "containerReceivedDate": "date (YYYY-MM-DD)",
    "containerReturnedDate": "date (YYYY-MM-DD)",
    "quantity": 1,
    "volumeM3": 1,
    "weightKG": 1,
    "packages": null,
    "freightIncurred": null,
    "freightCharged": null,
    "activityCharges": null
  }
]